<template>
    <div class="app-container" v-loading="loading">
        <iframe :src="link" frameborder="0" width="100%" height="800px" scrolling="auto" id="iframe"
            class="iframe-container"></iframe>
    </div>
</template>

<script>
import { getViewUrl } from '@/api/system/qxhy'
export default {
    data() {
        return {
            link: '',
            loading: false
        }
    },
    mounted() {
        this.initViewUrl()
    },
    methods: {

        initViewUrl() {
            const params = {
                viewName: 'visitView'
            }
            getViewUrl(params).then(res =>{
                console.log(res,'viewNameviewName')
                if(res.code == 200){
                    this.link = res.msg
                }
            })

        },
    },
}
</script>

<style  scoped>
.app-container {
    min-height: calc(100vh-130px);
}

.iframe-container {
    position: relative;
    width: 100%;
    min-height: calc(100vh-130px);
    border: none;
    padding-bottom: 16px;

}
</style>>

</style>